Jump to content

Templat:MuatturunMediaWiki

From mediawiki.org
This page is a translated version of the page Template:DownloadMediaWiki and the translation is 100% complete.

Muat turun MediaWiki 1.42.1 (.zip)

Muat turun .tar.gz sebaliknya

Bantuan mengenai muat turun

Kebanyakkan komputer boleh mengekstrak fail zip tanpa perisian tambahan.

Pengguna 7-Zip: Ambil perhatian bahawa sebelum 2021, 7-Zip tidak berupaya mengekstrak fail .tar.gz dengan jayanya (T257102). Disarankan agar mengemaskini kepada versi terkini dahulu.

Pengguna macOS: Ambil perhatian bahawa The Unarchiver tidak berupaya untuk mengekstrak fail .tar.gz dengan jayanya (T258716). Archive Utility boleh digunakan sebaliknya.

Semua versi

Untuk pengguna MediaWiki versi 1.40 dan 1.38 dan terdahulu: Versi tersebut tidak lagi disokong. Sila kemaskini kepada versi terkini MediaWiki.

Lesen

MediaWiki ialah aplikasi bebas yang dilesenkan di bawah Lesen Awam Am GNU versi 2 (atau versi kehadapan). Disebabkan penggunaan MediaWiki adalah bebas dan percuma, tiada waranti, setakat yang dibenarkan di bawah undang-undang berkaitan. Sila baca teks penuh GPL GNU versi 2 untuk perincian.

Keperluan sistem

MediaWiki memerlukan PHP 7.4.3+, aplikasi web pelayan, dan pilihan MariaDB 10.3.0+, MySQL 5.7.0+, SQLite 3.8.0+ atau PostgreSQL 10.0+. Penggunaan MariaDB atau MySQL adalah digalakkan kerana Wikipedia menggunakan MariaDB. Pelayan pangkalan data yang lain tidak diuji secukupnya dan anda berkemungkinan menemui beberapa pepijat.

Untuk maklumat lanjut, sila baca laman keperluan sistem dan kesesuaian.

MediaWiki tidak sesuai dengan PHP 7.4.0 - 7.4.2 kerana masalah pepijat huluan. Gunakan PHP 7.4.3+ sebaliknya. Lihat task T246594 untuk maklumat lanjut.
Jika menggunakan PHP 8, disarankan agar menggunakan MediaWiki versi 1.38.4 atau kehadapan. PHP 8 tidak digunakan dalam wiki Wikimedia, oleh itu ianya tidak diuji secukupnya, namun terdapat kumpulan yang menggunakan MediaWiki dengan PHP 8 tanpa masalah. Jika anda berdepan dengan masalah pepijat semasa menggunakan MediaWiki dengan PHP 8, sila laporkan. Lihat task T248925 untuk maklumat lanjut.